'use strict';

var packagePath = __dirname + '/../../package.json';

var gulp = require('gulp');
var path = require('path');
var $ = require('gulp-load-plugins')({config: path.normalize(packagePath)});

var config = {
    name: 'template:templatize',
    callback: callback
};

module.exports = config;

/////////////////////////////

function callback(settings, done) {
    return gulp.src(settings.src)
        .pipe($.template(settings.vars, {interpolate: /{{([\s\S]+?)}}/g }))
        .pipe($.rename(settings.filename))
        .pipe(gulp.dest(settings.dest));
}
